Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.annotation
Class AnnotatedSourceField

    java.lang.Object
      unity.annotation.SourceField
          unity.annotation.AnnotatedSourceField

    public class AnnotatedSourceField

extends SourceField

Constructor Summary
`AnnotatedSourceField()`
`AnnotatedSourceField(java.lang.String cat, java.lang.String schema, java.lang.String table, java.lang.String name, int type, java.lang.String typeName, int size, int digits, int precision, int n, java.lang.String rem, java.lang.String def, int octetLength, int position, java.lang.String isNull)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getSemanticFieldName()`
`void` | `importXML(org.w3c.dom.Node x)`
`void` | `setSemanticFieldName(java.lang.String name)`
`java.lang.String` | `toString()`
`java.lang.String` | `toStringField(int depth)`
`java.lang.String` | `toStringFull()`
`java.lang.String` | `toXML()`

Methods inherited from class unity.annotation.SourceField
`getCharacterOctetLength, getColumnName, getColumnNameWithSchema, getColumnNameWithTable, getColumnSize, getDataType, getDataTypeName, getDecimalDigits, getDefaultValue, getFullColumnName, getFullSQLColumnName, getIsNullable, getNullable, getNumberPrecisionRadix, getNumDistinctValues, getOrdinalPosition, getParentTable, getRemarks, getSQLColumnName, getSQLColumnNameWithSchema, getSQLColumnNameWithTable, getTableCatalog, getTableName, getTableSchema, isBlob, setCharacterOctetLength, setColumnName, setColumnSize, setDataTypeName, setDecimalDigits, setDefaultValue, setIsNullable, setNullable, setNumberPrecisionRadix, setNumDistinctValues, setOrdinalPosition, setParentTable, setRemarks, setTableCatalog, setTableName, setTableSchema, toXMLKey`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotatedSourceField

    public AnnotatedSourceField()

### AnnotatedSourceField

    public AnnotatedSourceField(java.lang.String cat,
                                java.lang.String schema,
                                java.lang.String table,
                                java.lang.String name,
                                int type,
                                java.lang.String typeName,
                                int size,
                                int digits,
                                int precision,
                                int n,
                                java.lang.String rem,
                                java.lang.String def,
                                int octetLength,
                                int position,
                                java.lang.String isNull)

Method Detail

### setSemanticFieldName

    public void setSemanticFieldName(java.lang.String name)

### getSemanticFieldName

    public java.lang.String getSemanticFieldName()

### getName

    public java.lang.String getName()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SourceField`

### toStringFull

    public java.lang.String toStringFull()

### toStringField

    public java.lang.String toStringField(int depth)

  Overrides:
    `toStringField` in class `SourceField`

### toXML

    public java.lang.String toXML()

  Overrides:
    `toXML` in class `SourceField`

### importXML

    public void importXML(org.w3c.dom.Node x)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD